Subject: Re: xfrm_state locking regression...

From: David Miller <[email-masked]>
Date: Wed, 01 Oct 2008 03:07:53 -0700 (PDT)

From: Timo Teräs <[email-masked]>
Date: Thu, 25 Sep 2008 15:36:04 +0300

> Timo Teräs wrote:
> > Herbert Xu wrote:
> >> Thanks! I've got some other work to do so feel free to post this
> >> tomorrow.
> > 
> > It was simpler than I thought (and I thought I would be more busy
> > with other things). Anyway, here goes. This is a single patch that
> > modifies both xfrm_state and xfrm_policy dumping. This was to get
> > af_key patch nicer (the final skb patching/sending is common code).
> 
> One more thing I noticed. If the af_key socket is closed while
> dumping is ongoing the current code can leak stuff. We should call
> the .done. And also in the new patch, release the stored skb.
> 
> The right place to do that would be pfkey_release, I assume?

I reread this thread, and the most recent patch seems good
and even tested :-)  But it seems that you want to make some
more tweaks, right?

Please post explicitly the patch you want me to apply to
net-next-2.6 once you reach that point, thanks!